Summary: packet-sniffer/logger
Name: snort
Version: 1.6
Release: 1
Copyright: GPL
Group: Applications/Internet
Source0: http://www.clark.net/~roesch/%{name}-%{version}.tar.gz
Source1: snort-stat
Source2: snortlog
Source3: 06082k.rules
Url: http://www.clark.net/~roesch/security.html
BuildRoot: /var/tmp/%{name}-root
Prefix: /usr
Packager: Henri Gomez <gomez@slib.fr> and William Stearns <wstearns@pobox.com>
Requires: libpcap >= 0.4
BuildRequires: libpcap >= 0.4

%description
Snort is a libpcap-based packet sniffer/logger which 
can be used as a lightweight network intrusion detection system. 
It features rules based logging and can perform protocol analysis, 
content searching/matching and can be used to detect a variety of 
attacks and probes, such as buffer overflows, stealth port scans, 
CGI attacks, SMB probes, OS fingerprinting attempts, and much more. 
Snort has a real-time alerting capabilty, with alerts being sent to syslog, 
a seperate "alert" file, or as a WinPopup message via Samba's smbclient


%prep
%setup -q 

%build
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=/usr --bindir=/usr/sbin --sysconfdir=/etc/snort --enable-smbalerts
make

%install
if [ "$RPM_BUILD_ROOT" = "/var/tmp/snort-root" ]; then
	rm -rf $RPM_BUILD_ROOT
	mkdir -p $RPM_BUILD_ROOT/usr/bin
	mkdir -p $RPM_BUILD_ROOT/usr/sbin
	mkdir -p $RPM_BUILD_ROOT/etc/snort
	mkdir -p $RPM_BUILD_ROOT/var/log/snort
	mkdir -p $RPM_BUILD_ROOT/usr/man/man8
	make prefix=$RPM_BUILD_ROOT/usr bindir=$RPM_BUILD_ROOT/usr/sbin sysconfdir=$RPM_BUILD_ROOT/etc/snort install
	sed -e 's;include ;include /etc/snort/;' < snort-lib > snort-lib.new
	rm -f snort-lib
	mv snort-lib.new snort-lib
	install *-lib $RPM_BUILD_ROOT/etc/snort 
	install %{SOURCE1} %{SOURCE2} $RPM_BUILD_ROOT/usr/bin
	install %{SOURCE3} $RPM_BUILD_ROOT/etc/snort
	install snort.8 $RPM_BUILD_ROOT/usr/man/man8

	mkdir -p $RPM_BUILD_ROOT/usr/doc
else
	echo Invalid Build root
	exit 1
fi

%clean
if [ "$RPM_BUILD_ROOT" = "/var/tmp/snort-root" ]; then
	rm -rf $RPM_BUILD_ROOT
else
	echo Invalid Build root
	exit 1
fi
						


%files
%defattr(-,root,root)
%attr(644,root,root)       /etc/snort/*
%attr(755,root,root)       /usr/sbin/*
%attr(755,root,root) 	   /usr/bin/*
%attr(-,root,root) 		   /usr/man/man8/snort.8
%attr(755,root,root)  %dir /var/log/snort
%doc AUTHORS BUGS COPYING CREDITS ChangeLog INSTALL NEWS README* USAGE

%changelog
* Mon Jun 26 2000 Henri Gomez <hgomez@slib.fr>
- added missing man file
- added latest 06082K rule set

* Tue Mar 28 2000 William Stearns <wstearns@pobox.com>
- Quick update to 1.6.
- Sanity checks before doing rm-rf in install and clean

* Fri Dec 10 1999 Henri Gomez <gomez@slib.fr>
- 1.5-0
  Initial RPM release
